Subject: rocky hu与您共享了照片

From: rocky hu <[email-masked]>
Date: Mon, 21 May 2012 11:25:22 +0000

hello,how are you today?

  If you are anxious for not find good supplier ? please contact us, we will  
offer you best service.
we are serious business person.

This is Alice from china   www.sobagssoyou.com  you will select what you  
like on our website ,we can deal in all the brand name goods that cover the  
scopes in sports shoes,the north face jackets,christian louboutin  
shoes,bikini,T-shirt,nike shoes,jordan shoes,asics shoes,Toms shoes,  
clothing, designer  
handbags,wallets,belts,hats,caps,watches,jewelry ,accessories and others.

select what you like,we will give the best price and the best service for  
you.
1.Delivery by DHL,UPS, TNT, EMS, Deliverying in 5-6 business days
2. Paypal and western union and money gram payment terms accepted in our  
company !!!
3.email address:  [email-masked]